Bug 836785 - [abrt] php-cli-5.4.3-1.fc17: xdebug_var_export_xml_node: Process /usr/bin/php was killed by signal 11 (SIGSEGV)
[abrt] php-cli-5.4.3-1.fc17: xdebug_var_export_xml_node: Process /usr/bin/php...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: php-pecl-xdebug (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:56797bae86326c036d79f507f2f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 06:38 EDT by Philipp Gampe
Modified: 2013-03-29 10:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-29 10:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (7.10 KB, text/plain)
2012-07-01 06:38 EDT, Philipp Gampe
no flags Details
File: maps (33.80 KB, text/plain)
2012-07-01 06:38 EDT, Philipp Gampe
no flags Details
File: backtrace (40.50 KB, text/plain)
2012-07-01 06:38 EDT, Philipp Gampe
no flags Details

  None (edit)
Description Philipp Gampe 2012-07-01 06:38:36 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/php ./typo3/cli_dispatch.phpsh scheduler -i 21
crash_function: xdebug_var_export_xml_node
executable:     /usr/bin/php
kernel:         3.4.2-4.fc17.x86_64
pid:            7709
pwd:            /home/phil/t3-playground/t3-git
time:           So 01 Jul 2012 12:25:10 CEST
uid:            1000
username:       phil

backtrace:      Text file, 41468 bytes
dso_list:       Text file, 7273 bytes
maps:           Text file, 34610 bytes

build_ids:
:cd6934c7ffdc10b4626f8a94336de83eb989545e
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:0c861d4584a090c315010d8e5d9ab13ceb746ae5
:7616089d086a0e440ba85b1dd5f2ea12079e18ea
:e1df452c9a01b147b94b5ea03177021aead3ef56
:0ac08a4f66d960a81951002ba4fcd8d130ce5aa6
:86a3c9736fabd1aadaee4abae7ce24bfb3d3982b
:b6d75088f555d197be1476cb1c580640826ae029
:7024c532984148e2b555c6194ff684a6d0e80d78
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:07d2432f2cea31e902ec19ecdc72dde8df873864
:091927b7a315243a2ff0383dfca1fd2c665405bf
:f6b1a3546a28d3df66ad34918f9f573b5496c05b
:fad2d57f73db1d2b51917a93ac42fb4e1308b141
:66ff6e23f48b16dd1cd292e31a109a8c98ff70f2
:50a4c46d2727b98b4b85eb2f8ea8b60bdc6395d4
:08be05e49d610995f1688fbdcbcc6be61a170487
:e99c86eb3485e54972f176ba34d78396596de7af
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:0b1b3715a7825554be0e494ffebe88678f37e81a
:7854f755865cf71bd8c15ad701578345c4ffebee
:1a262290abc47e43b15d179c909c389831958b90
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:076afe716fca0bfd36d9ad3ff3c6481c96dd0196
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:f800a123fb9c663cd0bc66a2a83f589c1c23829b
:4504beabd434c4e335d484b890a6adf1f8d995f6
:1269d1e5d9e60a9b0cb72efb4e067e315ced8f0c
:0be167b2dbb921a7bb3880df791fa6c593be03bc
:ab0d7e231229c3c9f21b16499b648910f07f9284
:f64b7319b84d426ed547084bdb2577f4f596c18f
:bffbcd62e7590e0462384693e4d36fe8c6463b4a
:2d4cc1813a8618b0f862537d5fe87b203659fd8b
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:f7abef225d0e1774ce35cf17f079a89edd61d288
:350920b52e92655cdb258fa5f96fe7004ad07a52
:f77f11e3c349a9dbc2a374be28f0ba80073aaf8c
:67792c148d2b8f13f6732c9367e926c26d7376c5
:7b7cb86f6ea59a6efba3094aeea996d4c2bdad2d
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:794748efdc5ee85bd50e686f4472cb76f8d9034e
:fd7e70773fb6672ce2596078c1223cbb510a0441
:23ce3b6fd0393770a3162d3590c748c8cee1a1e3
:3d60535f052babb998bae4807bc992c5d15df5c4
:73777e822e00ca152ffca281ab0ace0cb498ec48
:822e9b3523e8312240f41a25722d539bc77ed436
:8f1c8e7a9290087a1de608de917e41455f885af0
:535ee166aabdb98e39b6ae2a7a8876780f2b29b5
:88778e7c657effca330b4902b92a4980261f90f8
:bbdda2bfc1a4c400438fb432d8fb2d6e2c734eb4
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:a06f1061a91d5da52fe035d3f6de85e12561dcd3
:d608b0cc7aba43316956e4a27a115e618f4e3461
:4d09d82785dab5f95c01b69bc0785145a5954d30
:acb7d26c32f5c7c4c3abf7e581a2ca281312b542
:d789c08e9d240290a0a39e4654150029e152929f
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:929d271f51370434d6e9f63b74694fb424470462
:c164cc6252d76e87fba455b33da93fe40624deca
:6eae2d428d2239e87699ce1433bdf9f2a76ddfb8
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:8d646f64cd4a6c19985423dfab9f8668c6af7f80
:f1c5764c91642a33bec2d4ba5adbefc196cc8d60
:10db86ab9481dc0e2bd0f0c4c987e86a8a1d9a8b
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4
:ef8b8d492b07f4bb141fc3c32bc3bbf1c4c45275
:5dd234206476b0387cd251598aa72a2c95c763c5
:318ff47751c8144098e1808396ab73dd48c1e7b4
:dfab3f33b2bc66bb35d3f3debdad7ea159a6bdbf
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:66a36372ffdbeaf6ba72f453f5128b7a31a39942
:247132297f287226a24c12e683292f5c94013066
:d29489f5262f513cfe15d381fff29a18dc759deb
:a749e2d7670ba481f7fbb58625f28507adca10bf
:e2f8ba3db2c86456528fe1f09829c62263d0fdee

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/phil/2

comment:
:Have PHP with xdebug enabled. 
:Set export XDEBUG_CONFIG="idekey=PHPSTORM" to enable xdebug via cli and set up PhpStrom IDE to listen to the connection.
:Set a breakpoint in the IDE and run the script.
:IDE kicks in and correctly shows the stacktrace for a second.
:Afterwards php crashes.

core_backtrace:
:ab0d7e231229c3c9f21b16499b648910f07f9284 0x229cb xdebug_var_export_xml_node xdebug.so -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0x234fb - xdebug.so -
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4 0x1d049e zend_hash_apply_with_arguments [exe] -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0x23131 xdebug_var_export_xml_node xdebug.so -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0x239dd xdebug_get_zval_value_xml_node_ex xdebug.so -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0x18199 - xdebug.so -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0x1a868 xdebug_hash_apply_with_argument xdebug.so -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0x1888a - xdebug.so -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0x14108 - xdebug.so -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0x19953 xdebug_dbgp_breakpoint xdebug.so -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0xb623 xdebug_statement_call xdebug.so -
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4 0x1b8172 zend_llist_apply_with_argument [exe] -
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4 0x1fc36b - [exe] -
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4 0x223087 execute [exe] -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0xd002 xdebug_execute xdebug.so -
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4 0x2069b1 - [exe] -
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4 0x223087 execute [exe] -
:ab0d7e231229c3c9f21b16499b648910f07f9284 0xd002 xdebug_execute xdebug.so -
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4 0x1c3f5e zend_execute_scripts [exe] -
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4 0x163c8d php_execute_script [exe] -
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4 0x26b901 - [exe] -
:5bc71ead4e86900f1ed41440cb1f2581d49e2be4 0x2597a - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:LC_MONETARY=de_DE.utf8
:HOSTNAME=phil-lenovo.local
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/phil/keyring-GRJ1l1/gpg:0:1
:SHELL=/bin/bash
:TERM=xterm-256color
:XDG_SESSION_COOKIE=d3596a84aee244da9fd9af950000001c-1340215814.576232-1233869007
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:LC_NUMERIC=de_DE.utf8
:WINDOWID=85983237
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/phil/keyring-GRJ1l1
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=phil
:WWW=/usr/bin/google-chrome
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
:SSH_AUTH_SOCK=/run/user/phil/keyring-GRJ1l1/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2450,unix/unix:/tmp/.ICE-unix/2450
:XDEBUG_CONFIG=idekey=PHPSTORM
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/phil
:PATH=/home/phil/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/phil/bin:/home/phil/usr/local/bin/
:QT_IM_MODULE=xim
:PWD=/home/phil/t3-playground/t3-git
:XMODIFIERS=@im=none
:JAVA_HOME=/usr/java/jdk1.7.0/
:EDITOR=vim
:KDE_IS_PRELINKED=1
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:LC_MEASUREMENT=de_DE.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:WEBIDE_JDK=/usr/java/jdk1.7.0/
:HISTCONTROL=ignoreboth
:SHLVL=3
:HOME=/home/phil
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=phil
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-g7PMPxwsr0,guid=dfe4f102f98e4f6a9e79db05000000d0
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:BROWSER=/usr/bin/google-chrome
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/phil
:LC_TIME=de_DE.utf8
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:_=/usr/bin/php

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 61925                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       61925                61925                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/2
:pos:	0
:flags:	0100002
:1:/dev/pts/2
:pos:	0
:flags:	0100002
:2:/dev/pts/2
:pos:	0
:flags:	0100002
:3:socket:[3558466]
:pos:	0
:flags:	02
:4:socket:[3557875]
:pos:	0
:flags:	02
Comment 1 Philipp Gampe 2012-07-01 06:38:41 EDT
Created attachment 595516 [details]
File: dso_list
Comment 2 Philipp Gampe 2012-07-01 06:38:43 EDT
Created attachment 595517 [details]
File: maps
Comment 3 Philipp Gampe 2012-07-01 06:38:45 EDT
Created attachment 595518 [details]
File: backtrace
Comment 4 Philipp Gampe 2012-07-01 06:42:31 EDT
Most likely a bug in xdebug.
Comment 5 Remi Collet 2012-07-01 07:13:24 EDT
Which xDebug version ?

2.2.0-1.fc17 cause some crashes which some are fixed in 2.2.0-2.fc17
Comment 6 Philipp Gampe 2012-07-01 07:18:59 EDT
$ yum info php-pecl-xdebug
[sudo] password for phil: 
Geladene Plugins: langpacks, merge-conf, presto, refresh-packagekit, show-leaves
Installierte Pakete
Name       : php-pecl-xdebug
Architektur : x86_64
Version    : 2.2.0
Ausgabe    : 1.fc17
Größe : 549 k
Repo        : installed
Aus repo    : anaconda-0

So guess that means that I have 2.2.0-1.fc17?
Comment 7 Remi Collet 2012-07-01 12:25:05 EDT
So, please test https://admin.fedoraproject.org/updates/FEDORA-2012-9831

yum --enablerepo=updates-testing update php-pecl-xdebug
Comment 8 Remi Collet 2013-03-29 10:19:04 EDT
Outdated bug, current version is 2.2.2.

Note You need to log in before you can comment on or make changes to this bug.